IARRAY_COPY_DATA(3)

FUNCTION
iarray_copy_data - Copy data between Intelligent Arrays.

SYNOPSIS
#include <karma_iarray.h>

flag iarray_copy_data

(iarray output, iarray input, flag magnitude)

DESCRIPTION
This routine will copy data from one "Intelligent Array" to another. The sizes of the two arrays must be identical. The routine can deal with the types of the two arrays being different

output
    The output Intelligent Array.

input
    The input Intelligent Array.

magnitude
    If TRUE then when converting from a complex array to a real array, the magnitude of the complex data is taken, else the real component is copied.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

NOTE
When converting from a real array to a complex data array, the imaginary components are set to zero.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/